From 490ef3f594c7d786ed4de3766bc94051cad0f13b Mon Sep 17 00:00:00 2001
From: reshke kirill <reshke@double.cloud>
Date: Sun, 27 Oct 2024 07:48:00 +0000
Subject: [PATCH v1] Change RELKIND_HAS_TABLE_AM to support partitioned tables

---
 src/include/catalog/pg_class.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/include/catalog/pg_class.h b/src/include/catalog/pg_class.h
index 0fc2c093b0..e8da6ff9fb 100644
--- a/src/include/catalog/pg_class.h
+++ b/src/include/catalog/pg_class.h
@@ -224,7 +224,8 @@ MAKE_SYSCACHE(RELNAMENSP, pg_class_relname_nsp_index, 128);
  * rd_tableam; hence, this is handled specially outside of this macro.
  */
 #define RELKIND_HAS_TABLE_AM(relkind) \
-	((relkind) == RELKIND_RELATION || \
+	((relkind) == RELKIND_RELATION || \	
+	 (relkind) == RELKIND_PARTITIONED_TABLE || \
 	 (relkind) == RELKIND_TOASTVALUE || \
 	 (relkind) == RELKIND_MATVIEW)
 
-- 
2.34.1

